BANK MEGA SYARIAH - ES - Bug #3372

Goal setting untuk pengisian 4 kolom di PCMWFDEFBIZPROC
01/24/2025 10:38 AM - Regina Tasya

Status: QA Test Start date: 01/24/2025
Priority: Normal Due date:

Assignee: Mr [kmal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

dear kak azid,

untuk ess pms goal setting , review dan final sudah dibuatkan flownya, saat ini untuk di PCMWFDEFBIZPROC sesuai diskusi tadi
untuk kolom :

OnDocAfterRender

OnDocBeforeSubmit

OnlnitExtensions

OnMethodExtensions

untuk final dan review disamakan dan sudah aku samakan, dan tinggal goal setting yang belum, mohon bantuannya untuk hal tsb
BizProcessID : PMS_Final , PMS_Review , PMS_GoalSetting

port: remote.minovais.com:31134
database : remote.minovais.com, 1442
BankMegaSyariahDev

History

#1 - 01/24/2025 02:12 PM - Regina Tasya
- File clipboard-202501241409-r4zjs.png added
- File clipboard-202501241410-egnwk.png added

- untuk goal setting ingin auto fill untuk form employee data dan headernya

Employee Data

Employee Type: Job:
Position: Organization:
Header
Appraisal Type: Start Date:
Pariod: End Date:
Appraisal Date:
Annraiser

- form header ketika input periode, maka kolom start date dan end date juga autofill
- kemudian untuk kolom kpi dan competency di input saat add munculkan box kpi nya
#2 - 01/28/2025 09:46 AM - M Azid Wahyudi
redmine ini terbagi beberapa task :
Employee Data & Header
1. autofill EmployeeData dan juga appraisal Type , serta appraisal date (now) referensi dari final
2. period logic ketika di pilih auto fill ke startdate dan enddate di header dan autofill appraiser , KPI jika punya job catalog

Appraiser
1. get appraiser berdasarkan om dan organisasi level

2. cuman 1 penilai jadi appraisernya 1

KPI

1. get dari job kalau dia punya kalau gapunya bisa manual seperti yang di client lain

validasinya belom tau on going aja paralel

#3 - 01/28/2025 10:05 AM - Regina Tasya

tambahan:

1. untuk kolom appraiser, button add dan delete di takeout aja, dan dia auto fill, kemudian kpi weight dan qual weight autofill 100
2. pengisian gs ini dalam setahun 1 kali pengisian.
3. untuk gs. appraiser 1 approve sesuai dari tabel appraiser, kemudian untuk app 2 dan 3, approve sesuai dengan task flownya

#4 - 01/28/2025 10:52 AM - M Azid Wahyudi

- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Regina Tasya

untuk employeeData dan header udah berjalan tinggal skenario2 butuh data

- di appraiser
- KPI

dan flow nya

#5 - 01/30/2025 06:25 PM - Regina Tasya

- File clipboard-202501301709-5v8fe.png added

SCENARIO DATA:

1. karyawan OFFICE --> position type business
employee --> 00008815

organisasi ---> 00006097

position ----> 00031884

position type ---> business

job ---> 00000600

ds1 --> 00009957
ds2 --> 00009731
ds3 --> 00006055

2. karyawan office --> position type support
employee --> 00010767

organisasi ---> 00006111

position ----> 00030650

position type ---> support

job ---> 00000661

ds1 --> 00010091
ds2 --> 00007194
ds3 --> 00006044

3. karyawan cabang --> position type business
employee --> 00000244

organisasi ---> 00006251

position ----> 00030905

position type ---> business

job ---> 00000657

ds1 --> 00001009
ds2 --> 00007571
ds3 --> 00007194

4. karyawan cabang --> position type support
employee --> 00010901

organisasi ---> 00006470

position ----> 00031490

position type ---> support
job ---> 00000628

ds1 --> 00009957
ds2 --> 00009731
ds3 --> 00009731

kondisi tidak punya ds2 dan ds 3
karyawan office

emp : 00011186

0 : 00005400

p : 00030280

position type ---> business

ds1:00011199

kondisi tidak punya ds3
emp : 00008612

0 : 00006237

p : 00031053

position type ---> business

ds1: 00001235
ds2: 00009916

#6 - 01/31/2025 03:39 PM - Regina Tasya

- Status changed from Revise to Assigned

#7 - 01/31/2025 03:39 PM - Regina Tasya
- Assignee changed from Regina Tasya to M Azid Wahyudi

#8 - 02/05/2025 04:11 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Moch Alinafia

dear bang ali ,, untuk ini saya udah kerjain tapi saya butuh data real PHROMO0004 dan PHROMO0006 sama PHRPAQO2 sih buat test keseluruhan

terima kasih

#9 - 02/17/2025 09:34 AM - Moch Alinafia

- Assignee changed from Moch Alinafia to Mr Ikmal
